using System;

namespace InABox.Core
{
    public class CodePopupEditor : DataLookupEditor
    {
        public CodePopupEditor(Type type, params string[] otherfields) : base(type, otherfields)
        {
        }

        public string CodeColumn { get; set; }

        public bool CanAdd { get; set; } = false;

        protected override BaseEditor DoClone()
        {
            var result = (CloneDataLookupEditor() as CodePopupEditor)!;
            result.CodeColumn = CodeColumn;
            return result;
        }
    }
}